Subject: bug#47888: Email address matching is too restrictive

From: Robert Weiner <[email-masked]>
Date: Tue, 20 Apr 2021 00:17:00 -0400

Hi Brad:

Thanks for using Hyperbole and reporting this bug in the mail address
implicit button.

We have fixed it (numeric addresses now accepted) in the development
version in the git repository.  We will close this issue.

You can test it out with this setup:

If you first install the package manager 'straight' (install it as a
regular Emacs package together with the 'use-package' package), then you
ought to be able to load Hyperbole straight from the development source
with:

(use-package hyperbole
   :straight t
   :config
   (hyperbole-mode 1)
   :bind* ("<M-return>" . hkey-either))  ;; Makes Action Key work in Org
mode.

-- Bob
------

On Mon, Apr 19, 2021 at 3:34 AM Brad Knotwell via Bug-hyperbole via <
[email-masked]> wrote:

> I use:  Editor:      GNU Emacs 27.2 (build 1, x86_64-apple-darwin17.7.0,
> Carbon Version 158 AppKit 1561.6)
>
>         Hyperbole:   7.1.3
>         Sys Type:    x86_64-apple-darwin17.7.0
>         OS Type:     darwin
>         Window Sys:  mac
>         News Reader: Gnus v5.13
>
> If you want to email to a text message, you'll have an email address
> like the following:  [email-masked]
>
> Hyperbole's implicit buttons won't recognize this as a valid email
> address (use case:  looking a contact up in HyRolo and hitting the
> Action Key to send them a text;  workaround:  copying the address by
> hand and hitting {C-x m}.  I've attached the relevant section from
> RFC5322 below:
>
> Section 3.2.3 of email is copied below:
>    atext           =   ALPHA / DIGIT /    ; Printable US-ASCII
>                        "!" / "#" /        ;  characters not including
>                        "$" / "%" /        ;  specials.  Used for atoms.
>                        "&" / "'" /
>                        "*" / "+" /
>                        "-" / "/" /
>                        "=" / "?" /
>                        "^" / "_" /
>                        "`" / "{" /
>                        "|" / "}" /
>                        "~"
>
>    atom            =   [CFWS] 1*atext [CFWS]
>
>    dot-atom-text   =   1*atext *("." 1*atext)
>
>    dot-atom        =   [CFWS] dot-atom-text [CFWS]
>
>    specials        =   "(" / ")" /        ; Special characters that do
>                        "<" / ">" /        ;  not appear in atext
>                        "[" / "]" /
>                        ":" / ";" /
>                        "@" / "\" /
>                        "," / "." /
>                        DQUOTE
>
> Section 3.4.1
>    addr-spec       =   local-part "@" domain
>
>    local-part      =   dot-atom / quoted-string / obs-local-part
>
>    domain          =   dot-atom / domain-literal / obs-domain
>
>    domain-literal  =   [CFWS] "[" *([FWS] dtext) [FWS] "]" [CFWS]
>
>    dtext           =   %d33-90 /          ; Printable US-ASCII
>                        %d94-126 /         ;  characters not including
>                        obs-dtext          ;  "[", "]", or "\"
>
>
>
> _______________________________________________
> Bug-hyperbole mailing list
> [email-masked]
> https://lists.gnu.org/mailman/listinfo/bug-hyperbole
>